Subject: Building Pine3.93 on SCO OSR5 with GCC

From: [email-masked] (Aerial Empire)
Date: 20 May 1996 14:30:58 GMT

I am trying to compile Pine 3.93 on SCO Openserver 5.0.0 using gcc. I 
have a working binary of Pine 3.91 , but due to some minor problems 
(garbage coming down the line on several terminals), I thought the 
solution might be to build my own binary. So I chose Pine3.93, which I 
downloaded. I build with

  build CC=gcc sco

The output follows. If anyone could help I would appreciate it. My email
address is [email-masked] or [email-masked]. Thanks.

make args are "CC=cc CC=gcc"

ln: cannot create c-client: File already exists
ln: cannot create imapd: File already exists

Making c-client library, mtest and imapd
make build SYSTYPE=ANSI OS=sco
echo sco > OSTYPE
rm -rf systype
ln -s ANSI systype
cd ANSI/c-client; make sco
make mtest OS=sco EXTRADRIVERS="" \
	STDPROTO=mmdfproto MAILSPOOL=/usr/spool/mail \
	ACTIVEFILE=/usr/lib/news/active NEWSSPOOL=/usr/spool/news \
	RSH=rcmd RSHPATH=/usr/bin/rcmd \
	CFLAGS= LN="ln" RANLIB=true \
	LDFLAGS="-lsocket -lprot -lcrypt -lx"
./drivers  imap nntp pop3 mh tenex mtx mmdf bezerk news phile dummy
rm -f CCTYPE CFLAGS LDFLAGS osdep.h
echo gcc > CCTYPE
echo  > CFLAGS
echo -lsocket -lprot -lcrypt -lx  > LDFLAGS
ln os_sco.h osdep.h
gcc    -c mail.c -o mail.o
gcc    -c bezerk.c -o bezerk.o
gcc    -c mtx.c -o mtx.o
gcc    -c tenex2.c -o tenex2.o
gcc    -c mbox.c -o mbox.o
gcc    -c mh.c -o mh.o
mh.c: In function `mh_ping':
mh.c:811: warning: passing arg 4 of `scandir' from incompatible pointer type
mh.c: In function `mh_append':
mh.c:1053: warning: passing arg 4 of `scandir' from incompatible pointer type
gcc    -c mmdf.c -o mmdf.o
gcc    -c imap2.c -o imap2.o
gcc    -c pop3.c -o pop3.o
gcc    -c news.c -o news.o
news.c: in function news.open ... { etc - neil : similiar error as in mh.c }
gcc    -c nntpcunx.c -o nntpcunx.o
gcc    -c phile.c -o phile.o
gcc    -c dummy.c -o dummy.o
gcc    -c smtp.c -o smtp.o
gcc    -c nntp.c -o nntp.o
gcc    -c rfc822.c -o rfc822.o
gcc    -c misc.c -o misc.o
gcc  -DSTDPROTO=mmdfproto -DMAILSPOOL=\"/usr/spool/mail\" \
-DACTIVEFILE=\"/usr/lib/news/active\" -DNEWSSPOOL=\"/usr/spool/news\" \
-DRSH=\"rcmd\" -DRSHPATH=\"/usr/bin/rcmd\" \
 -c os_sco.c
mv os_sco.o osdep.o
gcc    -c sm_unix.c -o sm_unix.o
gcc    -c newsrc.c -o newsrc.o
rm -f c-client.a
ar rc c-client.a mail.o bezerk.o mtx.o tenex2.o mbox.o mh.o mmdf.o imap2.o pop3.o news.o nntpcunx.o phile.o dummy.o smtp.o nntp.o rfc822.o misc.o osdep.o sm_unix.o newsrc.o
true c-client.a
gcc    -c mtest.c -o mtest.o
gcc  -o mtest mtest.o c-client.a -lsocket -lprot -lcrypt -lx
ld libsocket.a: can't find library libprot.a
make[3]: *** [mtest] Error 1
make[2]: *** [sco] Error 2
make[1]: *** [build] Error 2
make: *** [sco] Error 2

Making Pico and Pilot
rm -f osdep.c
cp os_unix.c osdep.c
rm -f osdep.h
cp os_unix.h osdep.h
gcc -c   -Dsco -DPOSIX -DJOB_CONTROL -DMOUSE attach.c
gcc -c   -Dsco -DPOSIX -DJOB_CONTROL -DMOUSE ansi.c
gcc -c   -Dsco -DPOSIX -DJOB_CONTROL -DMOUSE basic.c
gcc -c   -Dsco -DPOSIX -DJOB_CONTROL -DMOUSE bind.c
gcc -c   -Dsco -DPOSIX -DJOB_CONTROL -DMOUSE browse.c

..

etc
This one complains about not being able to find libc_s.a from libc.a